#!/usr/bin/python
mastersteaminf = '~/master/csgo/csgo/steam.inf'

#zusammengef*** aus einem anderen script
import os, json, urllib, re, sys

def CheckVersion(steaminf, appid, regex):
    """
    return (needUpdate, version, requiredversion)
    """
    requrl  = 'http://api.steampowered.com/ISteamApps/UpToDateCheck/v0001/?appid=%s&version=%s&format=json'
    if not (os.path.isfile(steaminf) and os.access(steaminf,os.R_OK)):
        return (True, '0', 'steam.inf missing')
    try:
        steaminf = open(steaminf).read().replace('\r','')
        version = re.findall(regex,steaminf)[0].replace('.','')
    except:
        return (True, '0', 'no versionsinfo')
    try:
        response = urllib.urlopen(requrl % (appid, version))
        response = json.load(response)['response']
    except:
        return (True, '0', 'steamapi offline')
    if response.has_key('required_version'):
        return (True, version, response['required_version'])
    else:
        return (False, version, version)
    

#hardcoded...
mastersteaminf = os.path.expanduser(mastersteaminf)
appid = '740'
regex = re.compile(r'PatchVersion=(.+)')

needUpdate, version, requiredversion = CheckVersion(mastersteaminf, appid, regex)

if needUpdate is True:
    sys.exit(0)
else:
    sys.exit(1)
